Subject: Re: visual-line-mode should not be turned off when changing major mode
From: Chong Yidong <[email-masked]>
To: Lennart Borgman <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Dec 2009 15:41:11 -0500

> Should not visual-line-mode function as a kind of emulation of other
> editors? Such minor modes should survive major mode changes (like for
> example cua-mode and viper-mode do).
>
> Currently visual-line-mode is switched off when changing major mode
> (but I do not know how).

Local minor modes never survive major mode changes.  You want
global-visual-line-mode.